<form method='post'
    {% if edit %}
        action="{% url 'profile:admin_services_edit' id=id %}"
    {% else %}
        action="{% url 'profile:admin_services_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="id" value="{{ aidi }}">
    {% endif %}
    <div class="form-group">
        <label for="{{ form.judul.id_for_label }}">Judul</label>
        <input type="text" placeholder="Masukkan Judul..."
            class="form-control {% if form.judul.errors %}is-invalid{% endif %}"
            name="{{ form.judul.name }}"
            id="{{ form.judul.id_for_label }}" 
            maxlength="{{ form.judul.field.max_length }}"
            {% if edit %}
                {% if form.judul.value != None %}value="{{ form.judul.value|stringformat:'s' }}"{% endif %}
            {% else %}
                value=""
            {% endif %}
            {% if form.judul.field.required %}required{% endif %} >
        {% if form.judul.errors %}
            <div class="invalid-feedback">
                {{ form.judul.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.keterangan.id_for_label }}">Keterangan</label>
        <textarea 
            class="form-control {% if form.keterangan.errors %}is-invalid{% endif %}" 
            id="{{ form.keterangan.id_for_label }}" 
            name="{{ form.keterangan.name }}"
            maxlength="{{ form.keterangan.field.max_length }}"
            {% if form.keterangan.field.required %}required{% endif %}
            rows="3">{% if edit %}{% if form.keterangan.value != None %}{{ form.keterangan.value|stringformat:'s' }}{% endif %}{% endif %}</textarea>
        {% if form.keterangan.errors %}
            <div class="invalid-feedback">
                {{ form.keterangan.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="{{ form.icon.id_for_label }}">Icon</label>
            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                        <i id="img_icon" 
                        {% if edit %}
                            {% if form.icon.value != None %}class="{{ form.icon.value }}"{% endif %}
                        {% else %}
                            class="bx bxs-x-circle"
                        {% endif %}></i>
                    </span>
                </div>
                <input type="text" placeholder="Masukkan Kode Icon..." readonly
                    class="form-control {% if form.icon.errors %}is-invalid{% endif %}"
                    name="{{ form.icon.name }}" id="{{ form.icon.id_for_label }}"
                    aaria-describedby="basic-addon2"
                    maxlength="{{ form.icon.field.max_length }}"
                    {% if edit %}
                        {% if form.icon.value != None %}value="{{ form.icon.value|stringformat:'s' }}"{% endif %}
                    {% else %}
                        value=""
                    {% endif %}
                    {% if form.icon.field.required %}required{% endif %}>
                <div class="input-group-append">
                    <button class="btn btn-primary" type="button"
                        onclick="get_modal_icon('{{ form.icon.id_for_label }}','{{section}}')">
                        <i class="bi bi-search"></i>
                    </button>
                </div>
                {% if form.icon.errors %}
                <div class="invalid-feedback">
                    {{ form.icon.errors }}
                </div>
            {% endif %}
            </div>
        </div>
        <div class="form-group col-md-6">
            <label for="{{ form.slug.id_for_label }}">Tautan Halaman / Link</label>
            <input type="text" placeholder="Masukkan Tautan Halaman / Link"
                class="form-control {% if form.slug.errors %}is-invalid{% endif %}"
                name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}"
                aaria-describedby="basic-addon2"
                maxlength="{{ form.slug.field.max_length }}"
                {% if edit %}
                    {% if form.slug.value != None %}value="{{ form.slug.value }}"{% endif %}
                {% else %}
                    value=""
                {% endif %}
                {% if form.slug.field.required %}required{% endif %}>
        </div>
    </div>

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>

